# std::_Weak_result_type_impl< _Functor > Struct Template Reference

Inheritance diagram for std::_Weak_result_type_impl< _Functor >:

## Detailed Description

### template<typename _Functor>
struct std::_Weak_result_type_impl< _Functor >

Base class for any function object that has a weak result type, as defined in 3.3/3 of TR1.

Definition at line 89 of file tr1_impl/functional.

The documentation for this struct was generated from the following file:

- tr1_impl/functional